Search documentation of stripe_elixir

# StripeElixir.Services.AccountCapabilityService (stripe_elixir v0.1.0)

Copy Markdown View Source

AccountCapability API operations.

## Summary

### Functions

list(client, account, params \\ %{}, opts \\ [])

List all account capabilities

retrieve(client, account, capability, params \\ %{}, opts \\ [])

Retrieve an Account Capability

update(client, account, capability, params \\ %{}, opts \\ [])

Update an Account Capability

## Functions

# list(client, account, params \\ %{}, opts \\ [])

    @spec list(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

List all account capabilities

Returns a list of capabilities associated with the account. The capabilities are returned sorted by creation date, with the most recent capability appearing first.

# retrieve(client, account, capability, params \\ %{}, opts \\ [])

    @spec retrieve(StripeElixir.Client.t(), String.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Retrieve an Account Capability

Retrieves information about the specified Account Capability.

# update(client, account, capability, params \\ %{}, opts \\ [])

    @spec update(StripeElixir.Client.t(), String.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Update an Account Capability

Updates an existing Account Capability. Request or remove a capability by updating its `requested` parameter.